%define upstream_name    Dist-Zilla-Plugin-Test-Compile-PerFile
%define upstream_version 0.004000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Create a single .t for each compilable file in a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Plugin::FinderCode)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::File::ShareDir::Dist)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is inspired by its earlier sibling
Dist::Zilla::Plugin::Test::Compile.

Test::Compile is awesome, however, in the process of its development, we
discovered it might be useful to run compilation tests in parallel.

This lead to the realization that implementing said functions are kinda
messy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-5.mga9
+ Revision: 1809065
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-4.mga8
+ Revision: 1504169
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-3.mga7
+ Revision: 1283342
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.4.0-2.mga7
+ Revision: 1164264
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.4.0-1.mga7
+ Revision: 1157729
- update to 0.004000

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1026591
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966742
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 846713
- update to 0.003000

* Sun Oct 19 2014 umeabot <umeabot> 0.2.2-4.mga5
+ Revision: 789290
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-3.mga5
+ Revision: 743812
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.2.2-1.mga5
+ Revision: 664139
- update to 0.002002

* Fri Jul 18 2014 sander85 <sander85> 0.2.1-1.mga5
+ Revision: 653635
- update to 0.002001

* Tue Apr 15 2014 jquelin <jquelin> 0.2.0-1.mga5
+ Revision: 614742
- update to 0.002000

* Mon Feb 17 2014 jquelin <jquelin> 0.1.1-1.mga5
+ Revision: 593685
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-Test-Compile-PerFile


* Mon Feb 17 2014 cpan2dist 0.001001-1mga
- initial mageia release, generated with cpan2dist
